/***************************************************************************
                          tooUnRedo..h  -  description
                             -------------------
    begin                : Thu Oct 30 2003
    copyright            : (C) 2003-2011 Arahne, d.o.o.
    email                : arahne@arahne.si
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef UNREDOTOOL_H
#define UNREDOTOOL_H

#include <toolbase.h>

enum OpType{UndoOp, RedoOp};
    
class UnRedoTool : public ToolBase  {
   Q_OBJECT
public: 
	UnRedoTool(ToolType ttyp, OpType typ);
	~UnRedoTool();

   void doAction();

signals:
   void doUndo();
   void doRedo();
      
private:
  OpType type;  
};

#endif
